package data_manage

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type EdbInfoLog struct {
	EdbInfoLogId    int `orm:"column(edb_info_log_id);pk"`
	EdbInfoId       int
	SourceName      string `description:"来源名称"`
	Source          int    `description:"来源id"`
	EdbCode         string `description:"指标编码"`
	EdbName         string `description:"指标名称"`
	ClassifyId      int    `description:"分类id"`
	SysUserId       int
	SysUserRealName string
	CreateTime      time.Time
	Content         string `description:"内容"`
	Status          string `description:"状态"`
	Method          string `description:"执行方法"`
}

func AddEdbInfoLog(item *EdbInfoLog) (lastId int64, err error) {
	o := orm.NewOrmUsingDB("data")
	lastId, err = o.Insert(item)
	return
}
